<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTargetsTable extends Migration {

	public function up()
	{
		Schema::create('targets', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->integer('target_type_id')->unsigned();
			$table->string('targetable_type');
			$table->integer('targetable_id');
			$table->enum('period_type', array('daily', 'weekly', 'monthly', 'quarterly', ''));
			$table->date('start_date');
			$table->date('end_date')->nullable();
			$table->decimal('target_value');
			$table->decimal('current_value');
			$table->boolean('is_auto_accept');
			$table->enum('status', array('pending', 'in_progress', 'achieved', 'failed'));
			$table->text('notes')->nullable();
			$table->date('achieved_at');
		});
	}

	public function down()
	{
		Schema::drop('targets');
	}
}